<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ans__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ans_char_value_t</compoundname>
    <includes local="no">cy_ble_ans.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ans__char__value__t_1affbcad1d716549079a2b14cef9ca80f2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_ans_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ans__char__value__t_1aa3545d07861165aecdbafce5d7263cd7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_s__definitions_1gab77ef5ac4d41311ea5ff6f16f22d7281">cy_en_ble_ans_char_index_t</ref></type>
        <definition>cy_en_ble_ans_char_index_t cy_stc_ble_ans_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Alert Notification Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ans__char__value__t_1aef1e6955fff66910b67733757d0d92d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_ans_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="91" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="91" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Alert Notification Service Characteristic Value Parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="80">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="79">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="78">
        <label>cy_stc_ble_ans_char_value_t</label>
        <link refid="structcy__stc__ble__ans__char__value__t" />
        <childnode refid="79" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="80" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="92" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="88" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ans__char__value__t_1aa3545d07861165aecdbafce5d7263cd7" virt="non-virtual"><scope>cy_stc_ble_ans_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ans__char__value__t_1affbcad1d716549079a2b14cef9ca80f2" virt="non-virtual"><scope>cy_stc_ble_ans_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ans__char__value__t_1aef1e6955fff66910b67733757d0d92d4" virt="non-virtual"><scope>cy_stc_ble_ans_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>